#
# spec file for package ghc-th-lift-instances
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name th-lift-instances
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.20
Release:        150500.3.3.2
Summary:        Lift instances for template-haskell for common data types
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-lift-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-vector-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
%endif

%description
Most data types in the haskell platform do not have Lift instances.
This package provides orphan instances for containers, text, bytestring and
vector. It also provides compat instances for older versions of
'template-haskell'

Note that <https://hackage.haskell.org/package/th-lift th-lift> package
provides Template Haskell based derivation of 'Lift' instances (when you cannot
use 'DeriveLift' extension), and
<https://hackage.haskell.org/package/th-orphans th-orphans> package provides
instances for TH datatypes.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md

%changelog
* Tue Aug 23 2022 psimons@suse.com
- Update th-lift-instances to version 0.1.20.
  Upstream does not provide a change log file.
* Mon Dec 13 2021 psimons@suse.com
- Update th-lift-instances to version 0.1.19.
  Upstream does not provide a change log file.
* Thu Dec 17 2020 mimi.vx@gmail.com
- disable %%{ix86} build
* Thu Nov 19 2020 psimons@suse.com
- Update th-lift-instances to version 0.1.18.
  Upstream does not provide a change log file.
* Tue Aug 18 2020 psimons@suse.com
- Replace %%setup -q with the more modern %%autosetup macro.
* Wed Jun 10 2020 psimons@suse.com
- Update th-lift-instances to version 0.1.17.
  Upstream does not provide a change log file.
* Tue Jun  9 2020 psimons@suse.com
- Add th-lift-instances at version 0.1.16.
